#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module

%define		module	serial
Summary:	Serial port interface module
Summary(pl.UTF-8):	Moduł interfejsu do portu szeregowego
Name:		python-serial
Version:	3.3
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	https://github.com/pyserial/pyserial/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	af48f8f9b338c187f791d2f560f8b230
URL:		http://pyserial.wiki.sourceforge.net/pySerial
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
Requires:	python
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%description -l pl.UTF-8
Ten moduł opakowuje dostęp do portu szeregowego. Dostarcza backendy
dla Pythona działającego na Windows, Linuksie, BSD (być może dowolnym
systemie zgodnym z POSIX) oraz Jythona. Moduł o nazwie "serial"
automatycznie wybiera właściwy backend.

%package -n	python3-%{module}
Summary:	Serial port interface module
Group:		Libraries/Python
Requires:	python3

%description -n python3-%{module}
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n miniterm
Summary:	Very simple serial terminal
Group:		Applications/Communications
Requires:	python%{?with_python3:3}-%{module} = %{version}-%{release}

%description -n miniterm
Very simple serial terminal written in Python.

%prep
%setup  -q -n pyserial-%{version}

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%py_install

cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialwin*" -exec rm {} \;
%endif

%if %{with python3}
# Always prefer python3 version
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/miniterm.py

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%py3_install

cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{py3_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py3_sitescriptdir} -name "*serialwin*" -exec rm {} \;
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*egg-info
%{_examplesdir}/python-%{module}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/*egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%files -n miniterm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/miniterm.py
%changelog
* Sun Jul 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-serial.git;a=log;h=master

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 66e4664
- release 2 (by relup.sh)

* Tue May 16 2017 Jan Rękorajski <baggins@pld-linux.org> aff22fe
- up to 3.3

* Sun Jan 01 2017 Jan Rękorajski <baggins@pld-linux.org> a9fb296
- prefer python3 miniterm
- rel 3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fb9f345
- python 3.6
- release 2 (by relup.sh)

* Fri Nov 11 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> bc7640b
- up to 3.2.1

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 376a9b1
- use rpm python macros
- rel 6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 0971cf1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 36da329
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> be14523
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 74eee22
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 05dae7e
- python 3.4
- release 3 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> d0f6a6f
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d44bac7
- rel 2; package miniterm

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7080d45
- up to 2.7

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4441d88
- release 3 (by relup.sh)

* Thu Feb 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 01b42c1
- fixed python version requirements for python2 modules
- added bconds for both python2 and python3 modules
- rel. 2

* Thu Jan 26 2012 wrobell <wrobell@pld-linux.org> 0fc3a8e
- ver. 2.6
- user pypi download uri

* Wed Jun 01 2011 wrobell <wrobell@pld-linux.org> e7b81b1
- fixed installation of the python 2.x and 3.x packages

* Mon May 30 2011 wrobell <wrobell@pld-linux.org> 96dd273
- started to add python 2.x package for pyserial 2.5

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> b284450
- ver. 2.5 (for python 3 now, python 2 package to be done)

